CS::Platform Namespace Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Namespaces | Classes | Functions
CS::Platform Namespace Reference

Platform specific code and wrappers. More...

## Namespaces
namespace | Win32
| Win32-specific classes and functions.
## Classes
struct | File
| Functions to abstract platform-specific file access. More...
class | ProcessorSpecDetection
| Class performing processor specifications and feature detection. More...
## Functions
int | CreateDirectory (const char *path)
| Create a directory.
size_t | GetMaxVirtualSize ()
| Retrieve the maximum number of KiB of virtual address space available to the process.
size_t | GetPhysicalMemorySize ()
| Retrieve the number of KiB of physical system memory.
uint | GetProcessorCount ()
| Retrieve the number of processors in the system.
csString | GetTempDirectory ()
| Get system specific temporary folder.
csString | GetTempFilename (const char *path)
| Get file name for temporary file within specified directory.

## Detailed Description

Platform specific code and wrappers.

## Function Documentation

int CS::Platform::CreateDirectory | ( | const char * | path | ) |

Create a directory.

Parameters:

  path | Name of the directory to create.

Returns:
  0 on success, or an error code in case of failure. (This is the error code the standard `mkdir` function would retutn in `errno`).

size_t CS::Platform::GetMaxVirtualSize | ( |  | ) |

Retrieve the maximum number of KiB of virtual address space available to the process.

Returns:
  Virtual address space size (in KiB) on success, or 0 on failure.

size_t CS::Platform::GetPhysicalMemorySize | ( |  | ) |

Retrieve the number of KiB of physical system memory.

Returns:
  Physical system memory (in KiB) on success, or 0 on failure.

uint CS::Platform::GetProcessorCount | ( |  | ) |

Retrieve the number of processors in the system.

Returns:
  Number of processors, or 0 on failure.

csString CS::Platform::GetTempDirectory | ( |  | ) |

Get system specific temporary folder.

csString CS::Platform::GetTempFilename | ( | const char * | path | ) |

Get file name for temporary file within specified directory.